<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: WiFiEventHandler.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">WiFiEventHandler.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * WiFiEventHandler.h</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> *  Created on: Feb 25, 2017</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> *      Author: kolban</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> * A WiFiEventHandler defines a class that has methods that will be called back when a WiFi event is</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> * detected.</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * Typically this class is subclassed to provide implementations for the callbacks we want to handle.</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * class MyHandler: public WiFiEventHandler {</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> *   esp_err_t apStart() {</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> *      ESP_LOGD(tag, &quot;MyHandler(Class): apStart&quot;);</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment"> *      return ESP_OK;</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment"> *   }</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment"> * }</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment"> * WiFi wifi;</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment"> * MyHandler *eventHandler = new MyHandler();</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="comment"> * wifi.setWifiEventHandler(eventHandler);</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="comment"> * wifi.startAP(&quot;MYSSID&quot;, &quot;password&quot;);</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="comment"> * The overridable functions are:</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="comment"> * * esp_err_t apStaConnected(system_event_ap_staconnected_t info)</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="comment"> * * esp_err_t apStaDisconnected(system_event_ap_stadisconnected_t info)</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="comment"> * * esp_err_t apStart()</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="comment"> * * esp_err_t apStop()</span></div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="comment"> * * esp_err_t staConnected(system_event_sta_connected_t info)</span></div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="comment"> * * esp_err_t staDisconnected(system_event_sta_disconnected_t info)</span></div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="comment"> * * esp_err_t staGotIp(system_event_sta_got_ip_t info)</span></div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="comment"> * * esp_err_t staScanDone(system_event_sta_scan_done_t info)</span></div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="comment"> * * esp_err_t staAuthChange(system_event_sta_authmode_change_t info)</span></div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="comment"> * * esp_err_t staStart()</span></div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="comment"> * * esp_err_t staStop()</span></div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="comment"> * * esp_err_t wifiReady()</span></div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;<span class="preprocessor">#ifndef MAIN_WIFIEVENTHANDLER_H_</span></div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="preprocessor">#define MAIN_WIFIEVENTHANDLER_H_</span></div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="preprocessor">#include &lt;esp_event.h&gt;</span></div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;<span class="preprocessor">#include &lt;esp_event_loop.h&gt;</span></div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;</div><div class="line"><a name="l00098"></a><span class="lineno"><a class="line" href="classWiFiEventHandler.html">   98</a></span>&#160;<span class="keyword">class </span><a class="code" href="classWiFiEventHandler.html">WiFiEventHandler</a> {</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;    <a class="code" href="classWiFiEventHandler.html#a03fd2f98a3854650a28d6689223119fb">WiFiEventHandler</a>();</div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;    <span class="keyword">virtual</span> ~<a class="code" href="classWiFiEventHandler.html">WiFiEventHandler</a>();</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;    <span class="keyword">virtual</span> esp_err_t <a class="code" href="classWiFiEventHandler.html#a70f39884b9aedfef107d973e3188574a">apStaConnected</a>(system_event_ap_staconnected_t info);</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;    <span class="keyword">virtual</span> esp_err_t <a class="code" href="classWiFiEventHandler.html#a355717b4185b7bc0dea0dc5894b805ad">apStaDisconnected</a>(system_event_ap_stadisconnected_t info);</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;    <span class="keyword">virtual</span> esp_err_t <a class="code" href="classWiFiEventHandler.html#ad7f61897eeb4921461fd12c959b5b979">apStart</a>();</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;    <span class="keyword">virtual</span> esp_err_t <a class="code" href="classWiFiEventHandler.html#ae59d30f07785f4776ba348addde57d9e">apStop</a>();</div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;    system_event_cb_t <a class="code" href="classWiFiEventHandler.html#a9eeffe417501462c8a12a9e879a69444">getEventHandler</a>();</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;    <span class="keyword">virtual</span> esp_err_t <a class="code" href="classWiFiEventHandler.html#a1f2cc8efb4002ec195b1d0bba50c1cb2">staConnected</a>(system_event_sta_connected_t info);</div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;    <span class="keyword">virtual</span> esp_err_t <a class="code" href="classWiFiEventHandler.html#a2a9e3223a299eea32d1654283151d8d4">staDisconnected</a>(system_event_sta_disconnected_t info);</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;    <span class="keyword">virtual</span> esp_err_t <a class="code" href="classWiFiEventHandler.html#ae3081968ca143a3694dfa00ac2006adf">staGotIp</a>(system_event_sta_got_ip_t info);</div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;    <span class="keyword">virtual</span> esp_err_t <a class="code" href="classWiFiEventHandler.html#a1f7d236b42b7dd636253f92a2f417649">staScanDone</a>(system_event_sta_scan_done_t info);</div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;    <span class="keyword">virtual</span> esp_err_t <a class="code" href="classWiFiEventHandler.html#a333ac6008f9823ef3053883d272fb0ba">staAuthChange</a>(system_event_sta_authmode_change_t info);</div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;    <span class="keyword">virtual</span> esp_err_t staStart();</div><div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;    <span class="keyword">virtual</span> esp_err_t staStop();</div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;    <span class="keyword">virtual</span> esp_err_t wifiReady();</div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;</div><div class="line"><a name="l00120"></a><span class="lineno"><a class="line" href="classWiFiEventHandler.html#a0b24b1ee868a02ec650205f79b0b04c4">  120</a></span>&#160;    <a class="code" href="classWiFiEventHandler.html">WiFiEventHandler</a>* <a class="code" href="classWiFiEventHandler.html#a0b24b1ee868a02ec650205f79b0b04c4">getNextHandler</a>() {</div><div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;        <span class="keywordflow">return</span> m_nextHandler;</div><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;    }</div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;</div><div class="line"><a name="l00128"></a><span class="lineno"><a class="line" href="classWiFiEventHandler.html#afee45469141ee1351e06609ad0050133">  128</a></span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classWiFiEventHandler.html#afee45469141ee1351e06609ad0050133">setNextHandler</a>(<a class="code" href="classWiFiEventHandler.html">WiFiEventHandler</a>* nextHandler) {</div><div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;        this-&gt;m_nextHandler = nextHandler;</div><div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;    }</div><div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;</div><div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;    <span class="keyword">friend</span> <span class="keyword">class </span><a class="code" href="classWiFi.html">WiFi</a>;</div><div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;    <a class="code" href="classWiFiEventHandler.html">WiFiEventHandler</a> *m_nextHandler;</div><div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;    <span class="keyword">static</span> esp_err_t eventHandler(<span class="keywordtype">void</span>* ctx, system_event_t* event);</div><div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;</div><div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;};</div><div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;</div><div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* MAIN_WIFIEVENTHANDLER_H_ */</span><span class="preprocessor"></span></div><div class="ttc" id="classWiFiEventHandler_html_a1f7d236b42b7dd636253f92a2f417649"><div class="ttname"><a href="classWiFiEventHandler.html#a1f7d236b42b7dd636253f92a2f417649">WiFiEventHandler::staScanDone</a></div><div class="ttdeci">virtual esp_err_t staScanDone(system_event_sta_scan_done_t info)</div><div class="ttdoc">Handle a Scan for APs done event. Handle having an ESP32 station scan (APs) done.</div><div class="ttdef"><b>Definition:</b> WiFiEventHandler.cpp:236</div></div>
<div class="ttc" id="classWiFiEventHandler_html_a03fd2f98a3854650a28d6689223119fb"><div class="ttname"><a href="classWiFiEventHandler.html#a03fd2f98a3854650a28d6689223119fb">WiFiEventHandler::WiFiEventHandler</a></div><div class="ttdeci">WiFiEventHandler()</div><div class="ttdoc">Constructor.</div><div class="ttdef"><b>Definition:</b> WiFiEventHandler.cpp:113</div></div>
<div class="ttc" id="classWiFiEventHandler_html_ae3081968ca143a3694dfa00ac2006adf"><div class="ttname"><a href="classWiFiEventHandler.html#ae3081968ca143a3694dfa00ac2006adf">WiFiEventHandler::staGotIp</a></div><div class="ttdeci">virtual esp_err_t staGotIp(system_event_sta_got_ip_t info)</div><div class="ttdoc">Handle the Station Got IP event. Handle having received/assigned an IP address when we are a station.</div><div class="ttdef"><b>Definition:</b> WiFiEventHandler.cpp:136</div></div>
<div class="ttc" id="classWiFiEventHandler_html_a355717b4185b7bc0dea0dc5894b805ad"><div class="ttname"><a href="classWiFiEventHandler.html#a355717b4185b7bc0dea0dc5894b805ad">WiFiEventHandler::apStaDisconnected</a></div><div class="ttdeci">virtual esp_err_t apStaDisconnected(system_event_ap_stadisconnected_t info)</div><div class="ttdoc">Handle a Station Disconnected from AP event. Handle having a station disconnected from ESP32 soft-AP.</div><div class="ttdef"><b>Definition:</b> WiFiEventHandler.cpp:224</div></div>
<div class="ttc" id="classWiFiEventHandler_html_afee45469141ee1351e06609ad0050133"><div class="ttname"><a href="classWiFiEventHandler.html#afee45469141ee1351e06609ad0050133">WiFiEventHandler::setNextHandler</a></div><div class="ttdeci">void setNextHandler(WiFiEventHandler *nextHandler)</div><div class="ttdef"><b>Definition:</b> WiFiEventHandler.h:128</div></div>
<div class="ttc" id="classWiFiEventHandler_html_a0b24b1ee868a02ec650205f79b0b04c4"><div class="ttname"><a href="classWiFiEventHandler.html#a0b24b1ee868a02ec650205f79b0b04c4">WiFiEventHandler::getNextHandler</a></div><div class="ttdeci">WiFiEventHandler * getNextHandler()</div><div class="ttdef"><b>Definition:</b> WiFiEventHandler.h:120</div></div>
<div class="ttc" id="classWiFi_html"><div class="ttname"><a href="classWiFi.html">WiFi</a></div><div class="ttdoc">WiFi driver.</div><div class="ttdef"><b>Definition:</b> WiFi.h:111</div></div>
<div class="ttc" id="classWiFiEventHandler_html_a9eeffe417501462c8a12a9e879a69444"><div class="ttname"><a href="classWiFiEventHandler.html#a9eeffe417501462c8a12a9e879a69444">WiFiEventHandler::getEventHandler</a></div><div class="ttdeci">system_event_cb_t getEventHandler()</div><div class="ttdoc">Get the event handler. Retrieve the event handler function to be passed to the ESP-IDF event handler ...</div><div class="ttdef"><b>Definition:</b> WiFiEventHandler.cpp:123</div></div>
<div class="ttc" id="classWiFiEventHandler_html_a333ac6008f9823ef3053883d272fb0ba"><div class="ttname"><a href="classWiFiEventHandler.html#a333ac6008f9823ef3053883d272fb0ba">WiFiEventHandler::staAuthChange</a></div><div class="ttdeci">virtual esp_err_t staAuthChange(system_event_sta_authmode_change_t info)</div><div class="ttdoc">Handle the auth mode of APs change event. Handle having the auth mode of AP ESP32 station connected t...</div><div class="ttdef"><b>Definition:</b> WiFiEventHandler.cpp:248</div></div>
<div class="ttc" id="classWiFiEventHandler_html_a1f2cc8efb4002ec195b1d0bba50c1cb2"><div class="ttname"><a href="classWiFiEventHandler.html#a1f2cc8efb4002ec195b1d0bba50c1cb2">WiFiEventHandler::staConnected</a></div><div class="ttdeci">virtual esp_err_t staConnected(system_event_sta_connected_t info)</div><div class="ttdoc">Handle the Station Connected event. Handle having connected to remote AP.</div><div class="ttdef"><b>Definition:</b> WiFiEventHandler.cpp:188</div></div>
<div class="ttc" id="classWiFiEventHandler_html_ae59d30f07785f4776ba348addde57d9e"><div class="ttname"><a href="classWiFiEventHandler.html#ae59d30f07785f4776ba348addde57d9e">WiFiEventHandler::apStop</a></div><div class="ttdeci">virtual esp_err_t apStop()</div><div class="ttdoc">Handle the Access Point stop event. Handle an indication that the ESP32 has stopped being an access p...</div><div class="ttdef"><b>Definition:</b> WiFiEventHandler.cpp:158</div></div>
<div class="ttc" id="classWiFiEventHandler_html_a2a9e3223a299eea32d1654283151d8d4"><div class="ttname"><a href="classWiFiEventHandler.html#a2a9e3223a299eea32d1654283151d8d4">WiFiEventHandler::staDisconnected</a></div><div class="ttdeci">virtual esp_err_t staDisconnected(system_event_sta_disconnected_t info)</div><div class="ttdoc">Handle the Station Disconnected event. Handle having disconnected from remote AP.</div><div class="ttdef"><b>Definition:</b> WiFiEventHandler.cpp:200</div></div>
<div class="ttc" id="classWiFiEventHandler_html_ad7f61897eeb4921461fd12c959b5b979"><div class="ttname"><a href="classWiFiEventHandler.html#ad7f61897eeb4921461fd12c959b5b979">WiFiEventHandler::apStart</a></div><div class="ttdeci">virtual esp_err_t apStart()</div><div class="ttdoc">Handle the Access Point started event. Handle an indication that the ESP32 has started being an acces...</div><div class="ttdef"><b>Definition:</b> WiFiEventHandler.cpp:147</div></div>
<div class="ttc" id="classWiFiEventHandler_html"><div class="ttname"><a href="classWiFiEventHandler.html">WiFiEventHandler</a></div><div class="ttdoc">WiFi state event handler.</div><div class="ttdef"><b>Definition:</b> WiFiEventHandler.h:98</div></div>
<div class="ttc" id="classWiFiEventHandler_html_a70f39884b9aedfef107d973e3188574a"><div class="ttname"><a href="classWiFiEventHandler.html#a70f39884b9aedfef107d973e3188574a">WiFiEventHandler::apStaConnected</a></div><div class="ttdeci">virtual esp_err_t apStaConnected(system_event_ap_staconnected_t info)</div><div class="ttdoc">Handle a Station Connected to AP event. Handle having a station connected to ESP32 soft-AP.</div><div class="ttdef"><b>Definition:</b> WiFiEventHandler.cpp:212</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
